Subject: New "Note Well" Text

From: Adam Roach <[email-masked]>
Date: Thu, 15 Feb 2018 21:45:42 -0600

Back in early 2016, the IESG began work on revising the Note Well 
statement [1] to make it more readable and point more clearly at the 
relevant IETF processes. This work fell between the cracks after being 
kicked off, and we would now like to bring it to its conclusion.

After substantial community conversation (including a thread in July of 
2016 [2]), discussion within the IESG, and consultation with the 
ombudsteam and IETF's counsel, a final version of the new Note Well that 
incorporates such input appears below. This revised text will be 
available in PPT, PDF, and ODP formats from the Working Group Chairs 
page [3] shortly.

/a

Note Well

This is a reminder of IETF policies in effect on various topics such as 
patents or code of conduct. It is only meant to point you in the right 
direction. Exceptions may apply.The IETF's patent policy and the 
definition of an IETF "contribution" and "participation" are set forth 
in BCP 79; please read it carefully.

As a reminder:

  *

    By participating in the IETF, you agree to follow IETF processes and
    policies.

  *

    If you are aware that any IETF contribution is covered by patents or
    patent applications that are owned or controlled by you or your
    sponsor, you must disclose that fact, or not participate in the
    discussion.

  *

    As a participant in or attendee to any IETF activity you acknowledge
    that written, audio, video, and photographic records of meetings may
    be made public.

  *

    Personal information that you provide to IETF will be handled in
    accordance with the IETF Privacy Statement.

  *

    As a participant or attendee, you agree to work respectfully with
    other participants; please contact the ombudsteam
    (https://www.ietf.org/contact/ombudsteam/) if you have questions or
    concerns about this.

Definitive information is in the documents listed below and other IETF

BCPs. For advice, please talk to WG chairs or ADs:

  *

    BCP 9 (Internet Standards Process)

  *

    BCP 25 (Working Group processes)

  *

    BCP 25 (Anti-Harassment Procedures)

  *

    BCP 54 (Code of Conduct)

  *

    BCP 78 (Copyright)

  *

    BCP 79 (Patents, Participation)

  *

    https://www.ietf.org/privacy-policy/(Privacy Policy)

____
[1] http://mailarchive.ietf.org/arch/msg/ietf/Gyc4REkPN-HHAZfCb-x4Ug4rpgk
[2] https://mailarchive.ietf.org/arch/msg/ietf/RzTz4P0wjkm5EXYGYVhi5jbVsww
[3] https://www.ietf.org/chairs/

---

From: Michael Richardson <[email-masked]>
Date: Fri, 16 Feb 2018 11:51:04 -0500

Thanks for all of this.

    > sponsor, you must disclose that fact, or not participate in the

BTW: What does "not participate" mean?

I think that it means say nothing (no "write" bit. do not contribute).
But does it include listening to nothing?  (I don't think so, it's public)

I ask so that I can answer the question, I don't think we need to change text.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Yoav Nir <[email-masked]>
Date: Fri, 16 Feb 2018 19:55:48 +0200

> On 16 Feb 2018, at 18:51, Michael Richardson <[email-masked]> wrote:
> 
> 
> Thanks for all of this.
> 

Can’t do that. Our mailing lists are in a public archive (or two for now), and our sessions are on YouTube.

---

From: Michael StJohns <[email-masked]>
Date: Fri, 16 Feb 2018 14:35:40 -0500

On 2/15/2018 10:45 PM, Adam Roach wrote:
> After substantial community conversation (including a thread in July 
> of 2016 [2]), discussion within the IESG, and consultation with the 
> ombudsteam and IETF's counsel, a final version of the new Note Well 
> that incorporates such input appears below. This revised text will be 

Reviewing the bidding, the last discussion on this was the beginning of 
April, 2016.   As near as I can tell, the final form of this was the 
same as original IESG proposal excepting only the addition of the 
harassment blurb in the body and some very minor tweaking.  In other 
words,  some fairly useful comments were ignored.

For example - Dave Cridland's suggested wording for the last blurb 
suggesting when to seek "advice":

> The definitive policies are covered in the following documents which you
> should read. If you are unsure, please contact a Working Group Chair or an
> Area Director prior to participating.

Harald's comment on "not surprising people" 
https://mailarchive.ietf.org/arch/msg/ietf/jhpcVpUuVKyOQ-MEXh6CmCrWems

So given the long delay between last commentary and IESG action, and  
the lack of IESG response to comments made in 2016, I would suggest that 
perhaps this is not quite baked and ready for adoption.

Mike

> Note Well
>
>
> This is a reminder of IETF policies in effect on various topics such 
> as patents or code of conduct. It is only meant to point you in the 
> right direction. Exceptions may apply.The IETF's patent policy and the 
>     By participating in the IETF, you agree to follow IETF processes
>     and policies.
>
>  *
>
>     If you are aware that any IETF contribution is covered by patents
>     or patent applications that are owned or controlled by you or your
>     As a participant in or attendee to any IETF activity you
>     acknowledge that written, audio, video, and photographic records
>     of meetings may be made public.
>
>  *
>
>     (https://www.ietf.org/contact/ombudsteam/) if you have questions
>     or concerns about this.
>
>

---

From: [email-masked]
Date: Sat, 17 Feb 2018 05:59:19 +0000 (UTC)

'not contribute toi the discussion' may be clearer

Lloyd Wood [email-masked]

---

From: "Scott O. Bradner" <[email-masked]>
Date: Sat, 17 Feb 2018 06:22:23 -0500

see RFC 8179 (BCP 79) section 1.m

m. "Participating in an IETF discussion or activity": making a
      Contribution, as described above, or in any other way acting in
      order to influence the outcome of a discussion relating to the
      IETF Standards Process.  Without limiting the generality of the
      foregoing, acting as a Working Group Chair or Area Director
      constitutes "Participating" in all activities of the relevant
      working group(s) he or she is responsible for in an area.
      "Participant" and "IETF Participant" mean any individual
      Participating in an IETF discussion or activity.

Scott

> On Feb 16, 2018, at 11:51 AM, Michael Richardson <[email-masked]> wrote:
> 
> 
> Thanks for all of this.
>

---

From: John C Klensin <[email-masked]>
Date: Sat, 17 Feb 2018 08:16:35 -0500

--On Saturday, February 17, 2018 06:22 -0500 "Scott O. Bradner"
<[email-masked]> wrote:

>       Contribution, as described above, or in any other way
> acting in       order to influence the outcome of a discussion
> relating to the       IETF Standards Process.  Without
> limiting the generality of the       foregoing, acting as a
> Working Group Chair or Area Director       constitutes
> "Participating" in all activities of the relevant

Scott,

A question about the above, with the hope that it will never
become important.  I believe that traditionally any and all ADs
in a particular area are jointly responsible for every WG in
that area, i.e., that splitting WGs in a given area among ADs is
an administrative convenience, not a change of responsibility in
the sense above.   Is that still the case or is the above
language a back door effectively creating mini-areas with one AD
each?  And, if the latter, should assignments of WGs to ADs be
something that is a bit more transparent than it has been, e.g.,
something that should be part of the review at WG charter time,
subject to review and appeal when changes are made to
responsibility for existing WGs (even if the changes are due to
AD turnover), and even something that should be explicitly
visible to the Nomcom?

thanks,
    john

---

From: "Scott O. Bradner" <[email-masked]>
Date: Sat, 17 Feb 2018 08:34:45 -0500

that specific point did not come up (as I recall) in the BOF discussions where the 
question of the specific callout of ADs & WG Chairs was brought up
but it does seem to me to be a legit worry

Scott

> On Feb 17, 2018, at 8:16 AM, John C Klensin <[email-masked]> wrote:
> 
> 
>

---

From: Brian Carpenter <[email-masked]>
Date: Sun, 18 Feb 2018 08:41:10 +1300

Regards
   Brian Carpenter
   Department of Computer Science
   The University of Auckland
   http://www.cs.auckland.ac.nz/~brian/

(I am currently sending all mail from this address
due to a Gmail bug. I can still receive via Gmail.)

> but it does seem to me to be a legit worry

ADs sometimes recuse themselves from a topic "for cause". I don't recall whether
we ever wrote down what sort of conflict of interest might trigger this.
I assume that the scope of a recusal could be a particular draft or as much
as a whole WG. And presumably one reason might be a conflict with the interests
of the AD's employer, including IPR issues.

Clearly, a WG chair with knowledge of an unpublished patent application
is in a very tricky position and certainly needs to recuse themself
for relevant drafts.

    Brian

---

From: joel jaeggli <[email-masked]>
Date: Sun, 18 Feb 2018 22:51:10 -0800

> AD turnover), and even something that should be explicitly

The above sentence is a non-sequitor. Working groups are assigned at
chartering through. sponsorship it's not clear how you'd be more
transparent then simply asking an AD to sponsor your BOF / Charter.

RFC 2418

   A working group may be established
   at the initiative of an Area Director or it may be initiated by an
   individual or group of individuals. Anyone interested in creating an
   IETF working group MUST obtain the advice and consent of the IETF
   Area Director(s) in whose area the working group would fall and MUST
   proceed through the formal steps detailed in this section.

---

From: John C Klensin <[email-masked]>
Date: Mon, 19 Feb 2018 09:54:23 -0500

--On Sunday, February 18, 2018 22:51 -0800 joel jaeggli
<[email-masked]> wrote:

>...
>> become important.  I believe that traditionally any and all
>> ADs in a particular area are jointly responsible for every WG
>> in that area, i.e., that splitting WGs in a given area among
>> ADs is an administrative convenience, not a change of
>> responsibility in the sense above.   Is that still the case
>> or is the above language a back door effectively creating
>> mini-areas with one AD each?  And, if the latter, should
>> assignments of WGs to ADs be something that is a bit more
>> transparent than it has been, e.g., something that should be
>> part of the review at WG charter time, subject to review and
>> appeal when changes are made to responsibility for existing
>> WGs (even if the changes are due to AD turnover), and even
>> something that should be explicitly visible to the Nomcom?
> 
> The above sentence is a non-sequitor. Working groups are
> assigned at chartering through. sponsorship it's not clear how
> you'd be more transparent then simply asking an AD to sponsor
> your BOF / Charter.
> 
> RFC 2418
> 
>    at the initiative of an Area Director or it may be
> initiated by an    individual or group of individuals. Anyone
> interested in creating an    IETF working group MUST obtain
> the advice and consent of the IETF    Area Director(s) in
> whose area the working group would fall and MUST    proceed
> through the formal steps detailed in this section.

Joel,

At the time 2418 was written, areas with more than one AD
existed, but were not the norm, and, IIR, we had never had one
with three ADs.  Also, while WGs that had existed for years
existed (a few of those continue to exist near 20 years later),
they are now much more common, making multiple responsible ADs
over the lifespan of a WG almost inevitable.   If there is one
one AD in an area, the Nomcoom at least has the opportunity to
consider effects on continuing WGs when deciding how to fill an
open slot.  In multiple-AD areas, when ADs turn over, WGs are
typically reshuffled among the new and returning ADs.  At least
in many cases, those decisions occur without community
visibility and without any explicit discussion with the affected
WGs or even their chairs.  

Also at that time, we tended to get a little anxious when the
same company (or its near-affiliates) was employing or
supporting multiple members of the IESG and/or IAB.  By my rough
count, today we have three organizations with two IESG or IAB
members each and one with four.   There was also a strong
cultural assumption in the IESG that having an AD responsible
for a WG whose chair was employed or supported by the same
company was a seriously bad idea.  I gather that assumption has
been relaxed as well, especially with WGs with co-chairs.

None of these changes are inherently bad and I'm certainly not
accusing anyone of bad intentions, much less bad actions.
However, were we revising 2418 (or, around this topic, 2026 and
its successors) today I believe there are a number of issues
that we would want to address that simply were not judged as
important enough in 1998 (or in 1994 when RFC 1603 was
published).  

At least from my point of view, part of the problem is that
while the IETF has been paying very careful attention to
intellectual property issues, there has been too little concern
about that appearance of conflicts of interest, concentration of
decision-making in particular industry actors, and antitrust and
competitiveness issues.  Or answer to those concerns has often
been that everyone participates as an individual so there is no
problem but, especially in situations in which "follow the
money" is an important maxim, that claim would not survive a
laugh test and "I recused myself by not voting on that matter"
(even though I might still participate in informal discussions
and give advice about it) wouldn't last much longer.

These may be issues that the IETF will continue to ignore.   If
we extrapolate from the past, ignoring them has been a good
strategy because there have been no serious ill effects of doing
so.  However, neither the WG-AD relationship nor the suggestion
that Nomcoms should be able to pay attention to how particular
AD candidates have handled or might handle potential conflicts
of interest strikes me as anything near a non-sequitor.

    john

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 19 Feb 2018 10:04:14 -0500

Hi, John,

On Sat, Feb 17, 2018 at 8:16 AM, John C Klensin <[email-masked]> wrote:

> each?

I believe that the answer to this question is "it depends". OPS is
explicitly two areas joined at the hip for Nomcom purposes (the position
descriptions swap every year, depending on who's being reviewed). On the
other hand, there are procedures that explicitly invoke the Transport ADs
as a set (IIRC, when the RFC Editor asks for AD approval for changes in
AUTH49, the e-mail goes to [email-masked], and although I've never tested
this theory, I believe either Mirja or I could respond).

In general, I'd say "somewhere in the middle between those extremes".

> And, if the latter, should assignments of WGs to ADs be

I understand the concern, I believe, but I'm not understanding what this
means in practice.

   - I joined the IESG two months after Wes Eddy stepped down, and during
   that time, Martin Stiemerling had all the TSV working groups because he was
   the only TSV AD.
   - When I joined, we divided the work as evenly as possible, and filtered
   that through what we each thought we were knowledgeable about.
   - When Mirja Kuehlewind replaced Martin, we looked at the existing
   division between Spencer and Martin, and traded working groups based on our
   own interests, and whether Mirja was an active contributor in a working
   group (which likely had the biggest impact on our allocation). We traded
   two working groups in each direction.

My point is that I think if we had gotten any of this wrong, it could have
been appealed, but I'm not sure what else needed to happen, that din't
happen.

Spencer

---

From: joel jaeggli <[email-masked]>
Date: Mon, 19 Feb 2018 09:38:35 -0800

> WGs or even their chairs.  

The IESG  believes it has the power to divy up work among the available
members. We have plenty of existence proofs dating back decades.

> been relaxed as well, especially with WGs with co-chairs.

Getting anxious is the nominal state, that means we're on the lookout
for the appearance of conflict of interest.

The Industry that contributes people and time to the IETF is
consolidating. Eventually it will be gone and we'll have to do something
else; Until then it's harder to throw willing and able contributors
under the bus because of the incoveience of their current employer then
in the past.

> competitiveness issues. 

They're not solvable problems.

> Or answer to those concerns has often

If we produce bad work product because we've been railroaded down an
particular architectural path by a bad actor, how is that
distinguishable from previous outcomes?

The ability to construct a better submarine is not in much doubt.

> of interest strikes me as anything near a non-sequitor.

If your candidate pool consists of one or two individuals for a seat the
granularity with with respect to choice is limited. Nomcom interviews /
questionnaires I've been subjected to have probed how ADs address
conflicts, especially in areas where they are the principle contributor.
There is also a strong bias favoring incumbents unless they've proved
somehow unsuitable; given that; about half the time they question comes
down to how well did they do it, rather than how might they.

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 20 Feb 2018 08:07:19 +1300

On 20/02/2018 06:38, joel jaeggli wrote:
...
> They're not solvable problems.

Correct. But if we're becoming more corporate in *our* structure (see IASA2.0)
it will be incumbent on us to have a public statement of our conflict of
interest policy.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Mon, 19 Feb 2018 14:09:06 -0500

--On Monday, February 19, 2018 09:38 -0800 joel jaeggli
<[email-masked]> wrote:

>> existed (a few of those continue to exist near 20 years
>> later), they are now much more common, making multiple
>> responsible ADs over the lifespan of a WG almost inevitable.
>> If there is one one AD in an area, the Nomcoom at least has
>> the opportunity to consider effects on continuing WGs when
>> deciding how to fill an open slot.  In multiple-AD areas,
>> when ADs turn over, WGs are typically reshuffled among the
>> new and returning ADs.  At least in many cases, those
>> decisions occur without community visibility and without any
>> explicit discussion with the affected WGs or even their
>> chairs.  
> 
> The IESG  believes it has the power to divy up work among the
> available members. We have plenty of existence proofs dating
> back decades.

And there is no disagreement, at least AFAIK, about that
"power".  I do believe that, especially in the light of both the
industry consolidate you mention below and other factors that
are narrowing support for IETF-style standardization work, it
may be desirable to be a little more open about the divvying-up
process.   As I tried to say earlier, I am not claiming that any
abuses have occurred.  The suggestion is only about avoiding the
appearance of abuse in the future.   In any event, if abuses had
occurred, they would be a separate question,  
 
>> supporting multiple members of the IESG and/or IAB.  By my
>> rough count, today we have three organizations with two IESG
>> or IAB members each and one with four.   There was also a
>> strong cultural assumption in the IESG that having an AD
>> responsible for a WG whose chair was employed or supported by
>> the same company was a seriously bad idea.  I gather that
>> assumption has been relaxed as well, especially with WGs with
>> co-chairs.
> 
> Getting anxious is the nominal state, that means we're on the
> lookout for the appearance of conflict of interest.

Yes, see above.  I am only suggesting that, if things continue
to evolve as they appear to be evolving, we may need to be even
more careful and, in the process, look for ways in which
procedures and transparency may need to be reviewed to be sure
we are still on track, noting that "I recuse myself and will not
vote on this draft but may still participate in general
discussions about the associated issues and context" or "I have
written and am pushing this particular document but someone else
will sponsor or shepherd it in the IESG so everything is fine"
may not be sufficient long-term and that, were the number of
people on the IESG with affiliations to the same organization
("affiliation" may including relationships other than direct
employment) were to rise significantly, it could complicate
document reviews and appeals.
 
> consolidating. Eventually it will be gone and we'll have to do
> something else; Until then it's harder to throw willing and
> able contributors under the bus because of the incoveience of
> their current employer then in the past.

Absolutely.   However, I'm raising this issue at this time to
minimize the risk of the IETF itself going under that bus and
perhaps to suggest that the time to start thinking about
"eventually" and how me might need to consider and adopt
relevant "something else" procedures is probably well before
some unpleasant event occurs rather than in reaction to it.
That doesn't mean we need to drop everything and panic, but it
does suggest that, if your analysis (with which I agree) is
correct, it may be time to start thinking more about the issues
and risks rather than claiming that, because there have been no
serious problems yet, everything is fine.

>> intellectual property issues, there has been too little
>> concern about that appearance of conflicts of interest,
>> concentration of decision-making in particular industry
>> actors, and antitrust and competitiveness issues. 
> 

There we disagree.   Even if they are not solvable, it seems to
me that is not adequate justification for ignoring them as
uninteresting.  I note that many other standards bodies have
procedures in place to deal with issues of this sort, have
adopted specific guidance for handling situations that might
appear questionable as well as guidance for what decision-makers
with perceived conflicts are expected to do to avoid improper
influences, etc.  As with IPR issues, there may be cases in
which having clear guidelines may be more important than the
specifics of those guidelines.  And perhaps we should be
thinking about when and how to to start drawing an industry
process together to discuss the issues and start developing a
plan -- similar to what we did years ago for the first important
discussions of what became our IPR policies.

>> been that everyone participates as an individual so there is
>> no problem but, especially in situations in which "follow the
> If we produce bad work product because we've been railroaded
> down an particular architectural path by a bad actor, how is
> that distinguishable from previous outcomes?

IANAL, and I don't think you are either, but I imagine that, if
the IETF were to find itself in the middle of litigation (or
worse) charging that the decisions we made were driven (or even
just distorted) by a conspiracy to distort the marketplace to
favor a particular company or cluster of companies, we would
have no trouble at all distinguishing that from prior outcomes
or technical decisions.
 
>> These may be issues that the IETF will continue to ignore.
>> If we extrapolate from the past, ignoring them has been a good
>> strategy because there have been no serious ill effects of
>> doing so.  However, neither the WG-AD relationship nor the
>> suggestion that Nomcoms should be able to pay attention to
>> how particular AD candidates have handled or might handle
>> potential conflicts of interest strikes me as anything near a
>> non-sequitor.

> If your candidate pool consists of one or two individuals for
> a seat the granularity with with respect to choice is limited.
> Nomcom interviews / questionnaires I've been subjected to have
> probed how ADs address conflicts, especially in areas where
> they are the principle contributor. There is also a strong
> bias favoring incumbents unless they've proved somehow
> unsuitable; given that; about half the time they question comes

I don't want to try to dissect the selection process here -- all
I was suggesting in that regard was that it was important that
the Nomcom have adequate information available and that they be
both able and willing to evaluate it.  But I would suggest both
that there have been occasional situations in the past in which
a Nomcom has apparently ignored bad behavior, had insufficient
information, or considered the behavior and concluded that, on
balance, a particular candidate is nonetheless the best choice.
We have also had discussions in the past about whether a number
of terms that reflects the incumbent bias you suggest above and
that are limited only by exhaustion of an incumbent or
withdrawal of support is necessarily a good idea, and so on --
discussions that have led nowhere (of course, that might have
been the right outcome).

best,
   john

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 20 Feb 2018 07:44:27 -0500

On one particular point (I'm reading the rest of the thread, and thinking,
but wanted to speak up about this)

> decision-making in particular industry actors, and antitrust and

On "antitrust and competitiveness issues", I don't attend IEEE 802 meetings
regularly, but I can't remember attending one that didn't start out with a
slide showing an antitrust equivalent of the IETF Note Well that covers
IPR.

I wouldn't call putting up one slide "solving a problem", but I would think
that IEEE 802 is better positioned to say "but we do take a stand against
anti-competitive actions" if anyone complains, than the IETF is.

For what that's worth.

We now return you to the rest of this excellent discussion.

Spencer, speaking only for myself

---

From: John C Klensin <[email-masked]>
Date: Tue, 20 Feb 2018 07:51:21 -0500

--On Tuesday, February 20, 2018 07:44 -0500 Spencer Dawkins at
IETF <[email-masked]> wrote:

> On "antitrust and competitiveness issues", I don't attend IEEE
> 802 meetings regularly, but I can't remember attending one
> that didn't start out with a slide showing an antitrust
> equivalent of the IETF Note Well that covers IPR.
> 
> I wouldn't call putting up one slide "solving a problem", but
> I would think that IEEE 802 is better positioned to say "but
> we do take a stand against anti-competitive actions" if anyone
> complains, than the IETF is.
> 
> For what that's worth.

Unless things have changed since I dropped out of the
IT-relevatn oversight body, I think you would find that every
ANSI-accredited SDO is sensitive about that area even though
they may manifest the sensitivity in different ways.  In this
particular area, we are the exception.  Often we like that, but
the contrast may actually increase the risk... "IEEE 802, and
IEEE, are better positioned" can easily morph into "all of those
other standards bodies are aware of the problem and care about
it while IETF deliberately ignores it and opens itself up to
abuses".  Whether that is true or not, it is dangerous.

best,
    john